

  (defun M:FEHLER (S)
    (print (strcat "M:fehler " S))
    (command "_UNDO" "_BACK")
    (setq *ERROR* MD_ERR) 
    (princ)
  ) ;_ end of defun


(defun ausgang (/)
  (prompt "Fertig")
  ) ;_ end of defun

(defun c:koord (/ anfrage as kv)
  (setq MD_ERR *ERROR*
 *ERROR* M:FEHLER
  ) ;_ end of setq
  ;;Marke fr Zurck nach Abbruch setzen
  (command "_UNDO" "_MARK")
  (if
    (< (setq DCL_ID (load_dialog "Koord.dcl")) 0)
     ;;M:fehlermeldung und Ausstieg
     (alert
       "Dialogbox md_druck.dcl fehlt!
       \n        ! Abbruch ! "
       ) ;_ end alert
     (progn
       (setq anfrage nil
             as nil
             zaehler 1
             ) ;_ end of setq
       (setvar "regenmode" 1)
       (setq as (getfiled "Koordinatendatei ffnen"
                          ""
                          ""
                          2
                          ) ;_ end of getfiled
             ) ;_ end of setq
       (setq WHAT_NEXT 7)
       (while (< 0 WHAT_NEXT)
         (new_dialog "koord" DCL_ID)
         (if
           (= zaehler 1)
           (mode_tile "back" 1)
           )
         (set_tile "zaehler" (itoa zaehler))
         (action_tile "vor" "(setq vor $value)(done_dialog 3)")
         (action_tile "back" "(setq back $value)(done_dialog 4)")
         (action_tile "cancel" "(done_dialog 0)")
         (setq WHAT_NEXT (start_dialog))
         (cond
           ((= WHAT_NEXT 3) (liesvor as))
           ((= WHAT_NEXT 4) (liesnach as))
           ) ;_ end of cond
         ) ;_ end of while
       ) ;_ end of progn
     ) ;_ end of if
  (unload_dialog DCL_ID)
  ) ;_ end of defun


(defun liesvor (as / fg kk Punkta wert)
  (setq fg (open as "r"))
  (setq kk (read-line fg))
       (repeat
         zaehler
          (setq kk (read-line fg))
          ) ;_ end of repeat
       (if (or (= kk nil) (= kk ""))
         (setq zaehler 1)
         (setq zaehler (1+ zaehler))
         ) ;_ end of if
  (close fg)
  (if kk
    (progn
      (setq Punkta (EARX:SPLIT_TXT_LINE kk " "))
      (setq wert (list (atoi (nth 0 punkta)) (atoi (nth 1 punkta))))
      (command "_.zoom" "M" wert "10")
      (setq kv kk)
      ) ;_ end of progn
    ) ;_ end of if
  ) ;_ end of defun

(defun liesnach (as / fg kk Punkta wert)
  (setq fg (open as "r"))
  (setq kk (read-line fg))
       (repeat
         zaehler
          (setq kk (read-line fg))
          ) ;_ end of repeat
       (if (and (or (= kk nil) (= kk ""))(= zaehler 1))
         (setq zaehler 1)
         (setq zaehler (1- zaehler))
         ) ;_ end of if
  (close fg)
  (if kk
    (progn
      (setq Punkta (EARX:SPLIT_TXT_LINE kk " "))
      (setq wert (list (atoi (nth 0 punkta)) (atoi (nth 1 punkta))))
      (command "_.zoom" "M" wert "10")
      (setq kv kk)
      ) ;_ end of progn
    ) ;_ end of if
  ) ;_ end of defun
(prompt "aufruf durch 'koord'")
;;;                                                                            ;
;;;         Aufruf:  (setq Punkt (EARX:SPLIT_TXT_LINE LINE1 DELIM))            ;
;;;----------------------------------------------------------------------------;
(defun EARX:SPLIT_TXT_LINE
 (
;;;Deklaration von Parametern
  ZEILE                               ;Zeichenfolge, die an den Stellen wo Muster
                                      ;erscheint, zerlegt werden soll
  MUSTER                              ;Zeichenfolge, die als Trennungsmarkierung dient
  /
;;;Deklaration von lokalen Variablen
  IDX                                 ;Aktueller Index der Bearbeitung
  MUSTLEN                             ;Lnge der Trennungmarkierungs-Zeichenfolge
  MUSTLST                             ;Prfliste
  ZEILENG                             ;Anzahl der Zeichen in ZEILE
  ZEILST                              ;Liste der aufgetrennten Teilzeichenketten
  ZEILEL                              ;Aktuell zu prfendes Zeichen aus Zeile
  NZEIL                               ;Von ZEILE abgetrennte Teilzeichenkette
  NFLAG                               ;Flagg fr neue Teilzeichenkette
 )

 (setq IDX     1                      ;Index auf 32767 beschrnkt, da INTEGER
       MUSTLEN (strlen MUSTER)        ;Lnge der Trennungmarkierungs-Zeichenfolge
       MUSTLST (list)                 ;Prfliste
       ZEILENG (strlen ZEILE)         ;Anzahl der Zeichen in ZEILE
       ZEILST  (list)                 ;Liste der aufgetrennten Teilzeichenketten
       NZEIL   ""                     ;Von ZEILE abgetrennte Teilzeichenkette
       NFLAG   t                      ;Flagg fr neue Teilzeichenkette
 ) ;_ end of setq

;;;Muster in Prfliste verwandeln
 (while (<= IDX MUSTLEN)              ;Solange Musterende noch nicht erreicht
  ;;Weiteren Buchstaben zu Musterliste hinzufgen
  (setq MUSTLST (cons (substr MUSTER IDX 1) MUSTLST)
        IDX     (1+ IDX)              ;Index erhhen
  ) ;_ end of setq
 ) ;_ end of while

 (setq IDX 1)                         ;Index auf 32767 beschrnkt, da INTEGER
 ;;Solange Zeilenende noch nicht erreicht Zeichenfolge ZEILE mit Prfliste abarbeiten
 (while (<= IDX ZEILENG)
  (setq ZEILEL (substr ZEILE IDX 1))  ;Nchstes Zeichen prfen
  (if (member ZEILEL MUSTLST)
   ;;Wenn Zeichen in Prfliste
   (if (null NFLAG)                   ;Wenn noch kein Flag NEU
    (setq
      NFLAG  t                        ;Flag Neue Teilzeichenkette setzen
      ZEILST (cons NZEIL ZEILST)      ;Bisherige Teilzeichenkette vor Trennungsliste setzen
      NZEIL  ""                       ;Teilzeichenkette zurcksetzen
    ) ;_ end of setq
   ) ;_ end of if
   ;;Wenn Zeichen nicht in Prfliste
   (setq
    NFLAG nil                         ;Flag entfernen
    NZEIL (strcat NZEIL ZEILEL)       ;Zeichen an Teilzeichenkette anhngen
   ) ;_ end of setq
  ) ;_ end of if
  (setq IDX (1+ IDX))                 ;Index heraufsetzen
 ) ;_ end of while - Zeichenfolge abarbeiten

 ;;Wenn kein Flag NEU
 (if (null NFLAG)
  ;;Bisherige Teilzeichenkette vor Trennungsliste setzen
  (setq ZEILST (cons NZEIL ZEILST))
 ) ;_ end of if

 ;;Wenn Trennungsliste vorhanden, umkehren und zurck geben
 (if ZEILST (reverse ZEILST) nil) ;_ end of if
) ;_ end of defun EARX:SPLIT_TXT_LINE


;|Visual LISP Format Options
(72 2 40 1 T "end of " 60 9 0 0 0 nil T nil T)
;*** KEINEN Text unterhalb des Kommentars hinzufgen! ***|;
